Spreadsheet Generator Plugin
============================

The Spreadsheet Generator Plugin allows a user to export feature attributes from a 3D City Database (3DCityDB) instance as spreadsheets. Supported output formats are CSV and Microsoft Excel.

The Spreadsheet Generator is implemented as plugin for the [3D City Database Importer/Exporter](https://github.com/3dcitydb/importer-exporter). 

License
-------
The Spreadsheet Generator Plugin is licensed under the [Apache License, Version 2.0](http://www.apache.org/licenses/LICENSE-2.0). See the `LICENSE` file for more details.

Note that releases of the software before version 2.1.0 continue to be licensed under GNU LGPL 3.0. To request a previous release of the 3D City Database Importer/Exporter under Apache License 2.0 create a GitHub issue.

Latest release
--------------
The latest stable release of the Spreadsheet Generator Plugin is 2.1.0.

Download the software [here](https://github.com/3dcitydb/plugin-spreadsheet-generator/releases/download/v2.1.0/Spreadsheet-Generator-Plugin-v2.1.0.zip). Previous releases are available from the [releases section](https://github.com/3dcitydb/plugin-spreadsheet-generator/releases).

Installation
------------
The Spreadsheet Generator plugin is shipped with the universal installer of the Importer/Exporter tool. When running the setup wizard, you can choose to install the plugin. This is the recommended and easiest way to install the plugin.

Alternatively, you may download the software from the [releases section](https://github.com/3dcitydb/plugin-spreadsheet-generator/releases) and unzip it into the `plugins` folder within the installation folder of the Importer/Exporter. After a restart of the Importer/Exporter, the Spreadsheet Generator will be ready to be used.

System requirements
-------------------
Each version of the Spreadsheet Generator plugin is built against a specific version of the Importer/Exporter. Please check the release notes of the version you want to use for more information. 

Documentation
-------------
A complete and comprehensive documentation on the Spreadsheet Generator Plugin is installed with the [3D City Database Importer/Exporter](https://github.com/3dcitydb/importer-exporter) and is available [online](http://www.3dcitydb.org/3dcitydb/documentation/).

Contributing
------------
* To file bugs found in the software create a GitHub issue.
* To contribute code for fixing filed issues create a pull request with the issue id.
* To propose a new feature create a GitHub issue and open a discussion.

Developers
----------
The Spreadsheet Generator plugin has been developed by and with the support from the following cooperation partners:

* [Chair of Geoinformatics, Technical University of Munich](https://www.gis.bgu.tum.de/)
* [virtualcitySYSTEMS GmbH, Berlin](http://www.virtualcitysystems.de/)
* [M.O.S.S. Computer Grafik Systeme GmbH, Taufkirchen](http://www.moss.de/)
